# Fetch Verification (Async)

## Fetch Verification (Async)

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v1/verification`

This endpoint allows you to verify a customer details asynchronously.

#### Headers

| Name                                             | Type   | Description                                     |
| ------------------------------------------------ | ------ | ----------------------------------------------- |
| Authentication<mark style="color:red;">\*</mark> | String | Authentication token to identifer the api user. |

#### Request Body

| Name                                               | Type   | Description                                                        |
| -------------------------------------------------- | ------ | ------------------------------------------------------------------ |
| identifier\_type<mark style="color:red;">\*</mark> | String | The identifier type being used for the verification (national\_id) |
| identifier<mark style="color:red;">\*</mark>       | String | The identifier value                                               |
| callback\_url<mark style="color:red;">\*</mark>    | String | Callback url to send verification response to                      |

{% tabs %}
{% tab title="200 Request successfully received." %}

```javascript
{
   "status":202,
   "message":"Verification data fetch Process initiated",
   "data":{
      "reference_id":"b19234cc-2adf-4c1c-a6f8-91684254466c"
   }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="JSON Payload" %}

```javascript
{
   "identifier_type":"national_id",
   "identifier":"21626048",
   "first_name": "Jane",
   "last_name": "Doe",
   "callback_url":"https://webhook.site/0f81808a-0134"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Callback Payload" %}

```javascript
{
   "status":200,
   "message":"Verification data successfully fetched",
   "reference_id":"b19234cc-2adf-4c1c-a6f8-91684254466c",
   "data":{
      "national_id":"21626048",
      "full_name":"CURL JANE DOE",
      "gender":"M",
      "surname":"CURL",
      "date_of_birth":"01-02-1984",
      "other_names":"JANE DOE"
   }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/verification-and-credit-data-operations/fetch-verification-async.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
